Subject: FVWM: menumaker, icewm menus, and fvwm

From: jpkotta <[email-masked]>
Date: Sun, 02 Jan 2005 00:04:58 -0600

There is a really nice utility called MenuMaker.  It's a Python based menu  
generator that searches your system for programs that it recognizes, and  
builds them into a menu.  It supports several window managers, but  
unfortunately not fvwm.  It does support icewm, which is what I used to  
use before fvwm.

Since I'm somewhat familiar with icewm, its menus have a pretty simple  
syntax, and I wanted to convert my old icewm menu anyway, I wrote a Perl  
script to convert icewm menus to fvwm menus.  It works for me, but YMMV.   
I'm not much of a coder, and I haven't tested it very well.  If you try my  
script, please let me know how it works.  To see how to use it, run  
'icewm2fvwm_menu -h'.

MenuMaker homepage: http://menumaker.sourceforge.net/
MenuMaker download:  
http://sourceforge.net/project/showfiles.php?group_id=67400&package_id=65766

jpkotta
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Robert Wittek <[email-masked]>
Date: Sun, 2 Jan 2005 15:10:34 +0100

> script, please let me know how it works.  To see how to use it, run  

I would like to try your script. Where can I download it?
> http://sourceforge.net/project/showfiles.php?group_id=67400&package_id=65766
Regards, Robert

---

From: Catherine Luedecker <[email-masked]>
Date: Sun, 02 Jan 2005 11:53:38 -0800

Sounds interesting.  I would like to try it....where can I find it?

---

From: jpkotta <[email-masked]>
Date: Tue, 04 Jan 2005 10:40:10 -0600

Well, it doesn't say fvwm, but it appears that xfce/xfwm syntax is  
compatible with fvwm.  Oh well.  I wanted to convert my old menu anyway,  
and it was a good exercise.

jpkotta

On Sun, 02 Jan 2005 22:32:05 -0500, Rusty Phillips <[email-masked]>  
wrote:

> I think menumaker actually supports fvwm.  Here's the command line help
> from menumaker:
> MenuMaker 0.17 - 100% Python menu generator for X window managers
>
> http://menumaker.sourceforge.net
> (c) 2002-2004 Oleg A. Khlybov <[email-masked]>
> Usage:
>   mmaker [-hvcrA] [-o out_file] window_manager {window_manager ...}
>
>   -h prints this usage information
>   -v turns on verbosity
>   -c enables cache usage (quick regeneration without rescanning)
>   -r omits directory parts from executables where possible
>   -o specifies file to write menu to instead of WM specific place in
> user's home
>   -A enables Active Menus feature (EXPERIMENTAL)
>
> window_manager is WM to generate menu for
>
> WMs supported (case insensitive): Deskmenu, FluxBox, IceWM, OpenBox,
> OpenBox3, (WindowMaker | WMaker), (XFce | XFwm), (XFce4 | XFdesktop4)
>
> On Sun, 2005-01-02 at 00:04 -0600, jpkotta wrote: